package de.fhmuenster.masterthesis.generator;

public class AbstractTestgenerator {

	private static final String CLASS_DECLARATION = "public class %s {";
	private static final String CARRIAGE_RETURN = "\r\n";
	
	protected void addPackageDeclaration(String packageName, StringBuilder builder) {
		appendLine(NameProvider.getPackageDeclaration(packageName), builder);
	}
	
	protected void addClassHeader(String className, StringBuilder builder) {
		appendLine(String.format(CLASS_DECLARATION, className), builder);
	}
	
	protected void addSeparatorLine(StringBuilder builder) {
		builder.append(CARRIAGE_RETURN);
	}
	
	protected void addClassClosing(StringBuilder builder) {
		appendLine("}", builder);
	}
	
	protected void appendLine(String line, StringBuilder builder) {
		builder.append(line);
		builder.append(CARRIAGE_RETURN);
	}
}
